using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;
using System.IO;

namespace DiagrameTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public byte[] imageConverted;

        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            openFileDialog1.Filter = "JPEG or JPG|*.jpg;*.jpeg";
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                string imageName = openFileDialog1.FileName.ToString();
                Image img = Image.FromFile(imageName);
                diagram1.Model.BackgroundStyle.Texture = img;


                imageConverted = ConvertImageToByteArray(img, ImageFormat.Jpeg);
            }
        }


        private static byte[] ConvertImageToByteArray(Image imageToConvert, ImageFormat formatOfImage)
        {
            byte[] Ret;

            try
            {

                using (MemoryStream ms = new MemoryStream())
                {
                    imageToConvert.Save(ms, formatOfImage);
                    Ret = ms.ToArray();
                }
            }
            catch (Exception) { throw; }

            return Ret;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Image floorImage;
            using (MemoryStream ms = new MemoryStream(imageConverted, 0, imageConverted.Length))
            {
                ms.Write(imageConverted, 0, imageConverted.Length);
                floorImage = Image.FromStream(ms, true);
            }
            diagram1.Model.BackgroundStyle.Texture = floorImage;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Image floorImage;
            using (MemoryStream ms = new MemoryStream(imageConverted, 0, imageConverted.Length))
            {
                ms.Write(imageConverted, 0, imageConverted.Length);
                floorImage = Image.FromStream(ms, true);
            }
            pictureBox1.Image = floorImage;
        }

        private void button4_Click(object sender, EventArgs e)
        {
            diagram1.Model.BackgroundStyle.Texture = null;
            pictureBox1.Image = null;
        }

    }
}